OGRE-Next: Ogre::GLES2BufferInterface Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GLES2BufferInterface Class Reference

For GL3+, most (if not all) buffers, can be treated with the same code. More...

`#include <OgreGLES2BufferInterface.h>`

Inheritance diagram for Ogre::GLES2BufferInterface:
[legend]

## Public Member Functions
| GLES2BufferInterface (size_t vboPoolIdx, GLuint vboName, GLES2DynamicBuffer *dynamicBuffer)
| ~GLES2BufferInterface ()
void | _firstUpload (void *data, size_t elementStart, size_t elementCount)
| Only use this function for the first upload.
virtual void | advanceFrame ()
GLuint | getVboName () const
size_t | getVboPoolIndex ()
virtual void *RESTRICT_ALIAS_RETURN | map (size_t elementStart, size_t elementCount, MappingState prevMappingState, bool advanceFrame=true)
virtual void | regressFrame ()
virtual void | unmap (UnmapOptions unmapOption, size_t flushStartElem=0, size_t flushSizeElem=0)
Public Member Functions inherited from Ogre::BufferInterface
| BufferInterface ()
virtual | ~BufferInterface ()
virtual void | _ensureDelayedImmutableBuffersAreReady ()
virtual void | _notifyBuffer (BufferPacked *buffer)
virtual void | copyTo (BufferInterface *dstBuffer, size_t dstOffsetBytes, size_t srcOffsetBytes, size_t sizeBytes)=0
BufferPacked * | getBufferPacked ()
void | upload (const void *data, size_t elementStart, size_t elementCount)

## Detailed Description

For GL3+, most (if not all) buffers, can be treated with the same code.

Hence most equivalent functionality is encapsulated here.

## Constructor & Destructor Documentation

## ◆ GLES2BufferInterface()

Ogre::GLES2BufferInterface::GLES2BufferInterface | ( | size_t | vboPoolIdx,
|  | GLuint | vboName,
|  | GLES2DynamicBuffer * | dynamicBuffer )

## ◆ ~GLES2BufferInterface()

Ogre::GLES2BufferInterface::~GLES2BufferInterface | ( |  | ) |

## Member Function Documentation

## ◆ _firstUpload()

void Ogre::GLES2BufferInterface::_firstUpload | ( | void * | data,
|  | size_t | elementStart,
|  | size_t | elementCount )

Only use this function for the first upload.

## ◆ advanceFrame()

virtual void Ogre::GLES2BufferInterface::advanceFrame | ( |  | ) |
| virtual

Implements Ogre::BufferInterface.

## ◆ getVboName()

GLuint Ogre::GLES2BufferInterface::getVboName | ( |  | ) | const
| inline

## ◆ getVboPoolIndex()

size_t Ogre::GLES2BufferInterface::getVboPoolIndex | ( |  | ) |
| inline

## ◆ map()

virtual void *RESTRICT_ALIAS_RETURN Ogre::GLES2BufferInterface::map | ( | size_t | elementStart,
|  | size_t | elementCount,
|  | MappingState | prevMappingState,
|  | bool | advanceFrame = true )
| virtual

Implements Ogre::BufferInterface.

References RESTRICT_ALIAS_RETURN.

## ◆ regressFrame()

virtual void Ogre::GLES2BufferInterface::regressFrame | ( |  | ) |
| virtual

Implements Ogre::BufferInterface.

## ◆ unmap()

virtual void Ogre::GLES2BufferInterface::unmap | ( | UnmapOptions | unmapOption,
|  | size_t | flushStartElem = 0,
|  | size_t | flushSizeElem = 0 )
| virtual

Implements Ogre::BufferInterface.

The documentation for this class was generated from the following file:

- OgreGLES2BufferInterface.h